
%global meadversion 1.4.0
%global namedversion 1.4.0.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package wildfly-elytron-tool}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.4.0.Final-redhat-00001

Name:           %{?scl_prefix}wildfly-elytron-tool
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        WildFly Elytron Tool
Group:          Development/Java

%if %with mead
Source100: wildfly-elytron-tool-1.4.0.Final-redhat-00001-scm-sources.zip
Source102: wildfly-elytron-tool-1.4.0.Final-redhat-00001-sources.jar
Source103: wildfly-elytron-tool-1.4.0.Final-redhat-00001.jar
Source104: wildfly-elytron-tool-1.4.0.Final-redhat-00001-project-sources.tar.gz
Source105: wildfly-elytron-tool-1.4.0.Final-redhat-00001.pom
%endif

License:        ASL 2.0
URL:            https://github.com/wildfly-security/wildfly-elytron-tool
Requires:       %{?scl_prefix_eap}wildfly-elytron >= 0:1.1.0
Requires:       %{?scl_prefix_eap}wildfly-common >= 0:1.2.0
Requires:       %{?scl_prefix_eap}commons-cli >= 0:1.3.1
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Set of tools for WildFly Elytron.

%if %with javadoc
%package javadoc
Summary:        Javadoc for wildfly-elytron-tool
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n wildfly-elytron-tool -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/wildfly-elytron-tool-%{namedversion}.jar %{buildroot}%{_javadir}/wildfly-elytron-tool-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/wildfly-elytron-tool-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/wildfly-elytron-tool-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/wildfly-elytron-tool-%{namedversion}-sources.jar %{buildroot}%{_javadir}/wildfly-elytron-tool-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/wildfly-elytron-tool-%{namedversion}
unzip -qq %{_sourcedir}/wildfly-elytron-tool-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/wildfly-elytron-tool-%{namedversion} -x META-INF/\*
%{__ln_s} wildfly-elytron-tool-%{namedversion} %{buildroot}%{_javadocdir}/wildfly-elytron-tool
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}wildfly-elytron-tool
%defattr(0644,root,root,0755)
%doc README.md
%{_javadir}/wildfly-elytron-tool-%{namedversion}.jar
%{_javadir}/wildfly-elytron-tool.jar
%if %with javadoc
%{_javadir}/wildfly-elytron-tool-%{namedversion}-javadoc.jar
%{_javadir}/wildfly-elytron-tool-javadoc.jar
%endif
%{_javadir}/wildfly-elytron-tool-%{namedversion}-sources.jar
%{_javadir}/wildfly-elytron-tool-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/wildfly-elytron-tool-%{namedversion}
%{_javadocdir}/wildfly-elytron-tool
%endif

%changelog
* Tue Aug 28 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.4.0-1.Final_redhat_00001.1
- upgrade to 1.4.0.Final-redhat-00001

* Tue Aug 14 2018 Fernando Nasser <fnasser@redhat.com> - 1.3.0-2.Final_redhat_00001.1
- Test new sclerosis_package setting formula across all RHEL versions

* Tue Aug 14 2018 Fernando Nasser <fnasser@redhat.com> - 1.0.7-1.Final_redhat_1.1
- Change scl_package setting to use newer formulation

* Tue Aug 14 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.3.0-1.Final_redhat_00001.1
- upgrade to 1.3.0.Final-redhat-00001

* Wed May 30 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.2.2-1.Final_redhat_1.1
- upgrade to 1.2.2.Final-redhat-1

* Wed May 23 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.2.1-1.Final_redhat_1.1
- upgrade to 1.2.1.Final-redhat-1

* Wed May 23 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.2.1-1.Final_redhat_1.1
- upgrade to 1.2.1.Final-redhat-1

* Mon May 14 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.0.7-1.Final_redhat_1.1
- upgrade to 1.0.7.Final-redhat-1

* Wed Mar 21 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.6-1.Final_redhat_1.1
- upgrade to 1.0.6.Final-redhat-1

* Fri Nov 03 2017 Petr Sakar <psakar@redhat.com> - 1.0.5-1.Final_redhat_1.1
- upgrade to 1.0.5.Final-redhat-1

* Fri Oct 20 2017 Petr Sakar <psakar@redhat.com> - 1.0.4-1.Final_redhat_1.1
- upgrade to 1.0.4.Final-redhat-1

* Fri Oct 13 2017 Petr Sakar <psakar@redhat.com> - 1.0.3-1.Final_redhat_1.1
- upgrade to 1.0.3.Final-redhat-1

* Mon Oct 09 2017 Petr Sakar <psakar@redhat.com> - 1.0.2-1.Final_redhat_1.1
- upgrade to 1.0.2.Final-redhat-1

* Wed Sep 13 2017 Petr Sakar <psakar@redhat.com> - 1.0.1-1.Final_redhat_1.1
- upgrade to 1.0.1.Final-redhat-1

* Sun Aug 20 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-13.Final_redhat_1.1
- upgrade to 1.0.0.Final-redhat-1

* Wed Jul 26 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-12.CR4_redhat_1.1
- upgrade to 1.0.0.CR4-redhat-1

* Mon Jul 03 2017 Martin Minar <mminar@redhat.com> - 1.0.0-11.CR2_redhat_1.1
- upgrade to 1.0.0.CR2-redhat-1

* Thu Jun 29 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-10.CR1_redhat_1.1
- upgrade to 1.0.0.CR1-redhat-1

* Thu Jun 08 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-9.Beta7_redhat_1.1
- upgrade to 1.0.0.Beta7-redhat-1

* Thu May 25 2017 Martin Minar <mminar@redhat.com> - 1.0.0-8.Beta6_redhat_1.1
- update version to 1.0.0.Beta6

* Wed May 10 2017 Martin Minar <mminar@redhat.com> - 1.0.0-7.Beta5_redhat_1.1
- update to 1.0.0.Beta5

* Mon Apr 24 2017 Martin Minar <mminar@redhat.com> - 1.0.0-6.Beta3_redhat_1.1
- update to version 1.0.0.Beta3

* Fri Apr 21 2017 Martin Minar <mminar@redhat.com> - 1.0.0-5.Beta2_redhat_1.1
- update to version 1.0.0.Beta2

* Mon Apr 03 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-4.Beta1_redhat_1.1
- upgrade to 1.0.0.Beta1-redhat-1

* Tue Mar 14 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-3.Alpha3_redhat_1.1
- upgrade to 1.0.0.Alpha3-redhat-1

* Tue Feb 28 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-2.Alpha2_redhat_1.1
- upgrade to 1.0.0.Alpha2-redhat-1

* Thu Feb 16 2017 David Walluck <dwalluck@redhat.com> - 1.0.0-1.Alpha1_redhat_1.1
- release

